## kidentitymanagement 15.12.3

=== autotests/CMakeLists.txt ===
include(ECMAddTests)
set(QT_REQUIRED_VERSION "5.2.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)


ecm_add_tests( identitytest.cpp signaturetest.cpp NAME_PREFIX "kpimidentity-" LINK_LIBRARIES KF5IdentityManagement KF5::PimTextEdit Qt5::Test KF5::ConfigCore   KF5::TextWidgets KF5::XmlGui KF5::IconThemes)

=== src/CMakeLists.txt ===
set(kidentitymanagement_SRCS
  identity.cpp
  identitycombo.cpp
  identitymanager.cpp
  signature.cpp
  signatureconfigurator.cpp
  utils.cpp
)

ecm_qt_declare_logging_category(kidentitymanagement_SRCS HEADER kidentitymanagement_debug.h IDENTIFIER KIDENTITYMANAGEMENT_LOG CATEGORY_NAME log_kidentitymanagement)

qt5_add_dbus_adaptor(kidentitymanagement_SRCS org.kde.pim.IdentityManager.xml identitymanager.h KIdentityManagement::IdentityManager )

add_library(KF5IdentityManagement ${kidentitymanagement_SRCS})

generate_export_header(KF5IdentityManagement BASE_NAME kidentitymanagement)

add_library(KF5::IdentityManagement ALIAS KF5IdentityManagement)

target_include_directories(KF5IdentityManagement INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KIdentityManagement;${KF5_INCLUDE_INSTALL_DIR}/KIdentityManagement/kidentitymanagement;>")
target_include_directories(KF5IdentityManagement PUBLIC "$<BUILD_INTERFACE:${KIdentityManagement_SOURCE_DIR}/src;${KIdentityManagement_BINARY_DIR}/src>")

target_link_libraries(KF5IdentityManagement
PUBLIC
  KF5::CoreAddons
  KF5::PimTextEdit
PRIVATE
  KF5::Codecs
  Qt5::Network
  KF5::Completion
  KF5::I18n
  KF5::TextWidgets
  KF5::WidgetsAddons
  KF5::XmlGui
  KF5::KIOWidgets
  KF5::ConfigCore
)

set_target_properties(KF5IdentityManagement PROPERTIES
    VERSION ${KIDENTITYMANAGEMENT_VERSION_STRING}
    SOVERSION ${KIDENTITYMANAGEMENT_SOVERSION}
    EXPORT_NAME IdentityManagement
)

install(TARGETS KF5IdentityManagement EXPORT KF5IdentityManagementTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KIdentityManagement_CamelCase_HEADERS
  HEADER_NAMES
  Identity
  IdentityCombo
  IdentityManager
  Signature
  SignatureConfigurator
  Utils
  PREFIX KIdentityManagement
  REQUIRED_HEADERS KIdentityManagement_HEADERS
)

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kidentitymanagement_export.h
  ${KIdentityManagement_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KIdentityManagement/kidentitymanagement
    COMPONENT Devel
)
install(FILES    ${KIdentityManagement_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KIdentityManagement/KIdentityManagement/
    COMPONENT Devel
)


install(FILES org.kde.pim.IdentityManager.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} RENAME kf5_org.kde.pim.IdentityManager.xml)

ecm_generate_pri_file(BASE_NAME KIdentityManagement LIB_NAME KF5IdentityManagement DEPS "CoreAddons PimTextEdit" FILENAME_VAR PRI_FILENAME  INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KIdentityManagement)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

## kidentitymanagement 15.08.2

=== debian/changelog ===
kidentitymanagement (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:27:39 +0100

kidentitymanagement (15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:53:31 +0100

kidentitymanagement (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:26:40 +0100

kidentitymanagement (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:51:47 +0100

=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               kio-dev (>= 5.12.0~),
               libkf5completion-dev (>= 5.12.0~),
               libkf5config-dev (>= 5.12.0~),
               libkf5coreaddons-dev (>= 5.12.0~),
               libkf5emoticons-dev (>= 5.12.0~),
               libkf5iconthemes-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5pimtextedit-dev,
               libkf5textwidgets-dev (>= 5.12.0~),
               libkf5xmlgui-dev (>= 5.12.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kidentitymanagement.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kidentitymanagement.git

Package: libkf5identitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5coreaddons-dev,
         libkf5identitymanagement5 (= ${binary:Version}),
         libkf5pimtextedit-dev,
         ${misc:Depends}
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkf5identitymanagement5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5identitymanagement-dbg
Architecture: any
Multi-Arch: same
Depends: libkf5identitymanagement5 (= ${binary:Version}), ${misc:Depends}
Description: library for managing user identities - debug symbols
 This library provides an API for managing user identities.
 .
 This package contains the debug symbols.
Section: debug
Priority: extra

## kidentitymanagement 15.12.3

=== debian/changelog ===
kidentitymanagement (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:24:37 -0700

kidentitymanagement (15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Bump build dep version for pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:45:46 +0100

kidentitymanagement (15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:22:00 +0100

kidentitymanagement (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Bump the version requirement for kpimtextedit build dep.
  * Refresh symbols, removed MISSING, we are opting for rebuild. 

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:55:45 +0000

kidentitymanagement (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:26 +0200

kidentitymanagement (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 20:40:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               kio-dev (>= 5.12.0~),
-               libkf5completion-dev (>= 5.12.0~),
-               libkf5config-dev (>= 5.12.0~),
-               libkf5coreaddons-dev (>= 5.12.0~),
-               libkf5emoticons-dev (>= 5.12.0~),
-               libkf5iconthemes-dev (>= 5.12.0~),
+               extra-cmake-modules (>= 5.16.0~),
+               kio-dev (>= 5.16.0~),
+               libkf5codecs-dev (>= 5.16.0~),
+               libkf5completion-dev (>= 5.16.0~),
+               libkf5config-dev (>= 5.16.0~),
+               libkf5coreaddons-dev (>= 5.16.0~),
+               libkf5emoticons-dev (>= 5.16.0~),
+               libkf5iconthemes-dev (>= 5.16.0~),
                libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5pimtextedit-dev,
-               libkf5textwidgets-dev (>= 5.12.0~),
-               libkf5xmlgui-dev (>= 5.12.0~),
+               libkf5pimtextedit-dev (>= 15.12.1~),
+               libkf5textwidgets-dev (>= 5.16.0~),
+               libkf5xmlgui-dev (>= 5.16.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.2.0)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kidentitymanagement.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kidentitymanagement.git
@@ -27,9 +28,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5coreaddons-dev,
+Depends: libkf5coreaddons-dev (>= 5.16.0~),
          libkf5identitymanagement5 (= ${binary:Version}),
-         libkf5pimtextedit-dev,
+         libkf5pimtextedit-dev (>= 4.86.0~),
          ${misc:Depends}
 Description: library for managing user identities - development files
  This library provides an API for managing user identities.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5identitymanagement-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kidentitymanagement 16.04.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KIdentityManagement)

# ECM setup
find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.19.0")
set(KIDENTITYMANAGEMENT_LIB_VERSION "5.2.2")
set(PIMTEXTEDIT_LIB_VERSION "5.2.0")

ecm_setup_version(${KIDENTITYMANAGEMENT_LIB_VERSION} VARIABLE_PREFIX KIDENTITYMANAGEMENT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kidentitymanagement_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5IdentityManagementConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########

find_package(Qt5Network NO_MODULE REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Emoticons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5PimTextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
add_definitions(-DTRANSLATION_DOMAIN=\"libkpimidentities5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IdentityManagement")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5IdentityManagementConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IdentityManagementConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IdentityManagementConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5IdentityManagementConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5IdentityManagementTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5IdentityManagementTargets.cmake
    NAMESPACE KF5::
)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kidentitymanagement_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
   COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kidentitymanagement (16.04.2-1) unstable; urgency=medium

  * Add new patch: set_icontheme.diff

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 16:32:00 +0200

kidentitymanagement (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files
  * Drop Xephyr hack
  * Update testsuite

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 19:23:16 +0200

kidentitymanagement (15.12.0-2) experimental; urgency=medium

  * Update build dependencies to follow the package version instead of
    the libraries soversions.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 Feb 2016 21:27:21 +0100

kidentitymanagement (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:29 +0100

=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               kio-dev (>= 5.19.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5completion-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5emoticons-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5pimtextedit-dev (>= 5.2.0~),
               libkf5textwidgets-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kidentitymanagement.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kidentitymanagement.git

Package: libkf5identitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5coreaddons-dev (>= 5.19.0~),
         libkf5identitymanagement5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 5.2.0~),
         ${misc:Depends}
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkf5identitymanagement5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5identitymanagement-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kidentitymanagement 16.04.3

=== debian/changelog ===
kidentitymanagement (16.04.3-0ubuntu2) yakkety; urgency=medium

  * Bump soname due to binary incompatible changes as requested by the release
    team:
    libkf5identitymanagement5 -> libkf5identitymanagement5abi1
  * Sync tests with debian.
  * Import set_icontheme.diff from debian in order to fix autopgtest.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Oct 2016 08:13:01 +0200

kidentitymanagement (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * BUmp dep versions. 
  * Bump SO version install file. 
  * New upstream bugfix release
  * Refresh symbols. MISSING removed, rebuilds are necessary. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:47:00 +0200

=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5completion-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5emoticons-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5pimtextedit-dev (>= 16.04.3~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement

Package: libkf5identitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5coreaddons-dev (>= 5.21.0~),
         libkf5identitymanagement5abi1 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 16.04.3~),
         ${misc:Depends}
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkf5identitymanagement5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5IdentityManagement
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5identitymanagement-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kidentitymanagement 17.04.3

=== debian/changelog ===
kidentitymanagement (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Add -data package installing translations
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:23 +0100

kidentitymanagement (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update symbols from build logs
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:29:15 +0100

=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 17.04.3~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement

Package: libkf5identitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5coreaddons-dev (>= 5.31.0~),
         libkf5identitymanagement5abi1 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 17.04.3~),
         ${misc:Depends}
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkf5identitymanagement5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5IdentityManagement
Architecture: any
Multi-Arch: same
Depends: libkf5identitymanagement-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5identitymanagement-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kidentitymanagement 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,27 +1,32 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
+set(PIM_VERSION "5.7.3")
 
-project(KIdentityManagement)
+project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-find_package(ECM 5.19.0 CONFIG REQUIRED)
+set(KF5_VERSION "5.39.0")
+
+find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
+include(ECMCoverageOption)
 
-set(KF5_VERSION "5.19.0")
-set(KIDENTITYMANAGEMENT_LIB_VERSION "5.2.2")
-set(PIMTEXTEDIT_LIB_VERSION "5.2.0")
 
-ecm_setup_version(${KIDENTITYMANAGEMENT_LIB_VERSION} VARIABLE_PREFIX KIDENTITYMANAGEMENT
+
+set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
+set(PIMTEXTEDIT_LIB_VERSION "5.7.3")
+
+ecm_setup_version(PROJECT VARIABLE_PREFIX KIDENTITYMANAGEMENT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kidentitymanagement_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5IdentityManagementConfigVersion.cmake"
                         SOVERSION 5
@@ -36,13 +41,15 @@
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5Emoticons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
 
 find_package(KF5PimTextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
 add_definitions(-DTRANSLATION_DOMAIN=\"libkpimidentities5\")
 add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 ########### Targets ###########
 add_subdirectory(src)
@@ -54,7 +61,7 @@
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5IdentityManagement")
 
-ecm_configure_package_config_file(
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5IdentityManagementConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5IdentityManagementConfig.cmake"
   INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
@@ -80,3 +87,4 @@
 )
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)
set(QT_REQUIRED_VERSION "5.8.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)


ecm_add_tests( identitytest.cpp signaturetest.cpp NAME_PREFIX "kpimidentity-" LINK_LIBRARIES KF5IdentityManagement
    KF5::PimTextEdit Qt5::Test KF5::ConfigCore   KF5::TextWidgets KF5::XmlGui KF5::IconThemes KF5::CoreAddons)

=== debian/changelog ===
kidentitymanagement (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:15 +0000

kidentitymanagement (17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Refresh set_icontheme.diff patch

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:45 +0000

kidentitymanagement (17.08.3-0ubuntu2) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 19:44:06 +0100

kidentitymanagement (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)
  * Refresh patches

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:03 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
@@ -27,10 +27,10 @@
 Package: libkf5identitymanagement-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Depends: libkf5coreaddons-dev (>= 5.31.0~),
          libkf5identitymanagement5abi1 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 17.04.3~),
+         libkf5pimtextedit-dev (>= 17.12.3~),
          ${misc:Depends}
 Description: library for managing user identities - development files
  This library provides an API for managing user identities.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11, xvfb, xauth, breeze-icon-theme, libgl1-mesa-dri
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kidentitymanagement 18.04.3

=== debian/changelog ===
kidentitymanagement (18.04.3-0ubuntu3) cosmic; urgency=medium

  * Fix wrong commented line in last upload.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 31 Aug 2018 11:05:17 +0100

kidentitymanagement (18.04.3-0ubuntu2) cosmic; urgency=medium

  * debian/tests/testsuite: Uncoditionally set '$HOME' for tests to
    debian/tests.home.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 31 Aug 2018 09:17:48 +0100

kidentitymanagement (18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install debug categories files
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:44 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
@@ -30,8 +30,8 @@
 Multi-Arch: same
 Depends: libkf5coreaddons-dev (>= 5.31.0~),
          libkf5identitymanagement5abi1 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 17.12.3~),
-         ${misc:Depends}
+         libkf5pimtextedit-dev (>= 18.04.3~),
+         ${misc:Depends},
 Description: library for managing user identities - development files
  This library provides an API for managing user identities.
  .

## kidentitymanagement 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.9.3")
 
 project(KIdentityManagement VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -24,7 +24,7 @@
 
 
 set(KIDENTITYMANAGEMENT_LIB_VERSION ${PIM_VERSION})
-set(PIMTEXTEDIT_LIB_VERSION "5.7.3")
+set(PIMTEXTEDIT_LIB_VERSION "5.9.3")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KIDENTITYMANAGEMENT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kidentitymanagement_version.h"
@@ -86,5 +86,7 @@
    COMPONENT Devel
 )
 
+install( FILES kidentitymanagement.categories kidentitymanagement.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== debian/changelog ===
kidentitymanagement (18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:08:06 +0100

kidentitymanagement (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:16 +0100

kidentitymanagement (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * New upstream release (18.08.1).
  * Follow stable releases in KDE again.
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:17:42 +0200

kidentitymanagement (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Fri, 17 Aug 2018 18:17:24 +0200

kidentitymanagement (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:24:39 +0200

kidentitymanagement (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Update patch hunks
  * Enable tests, but make them non-failing.
  * Update symbols files for 17.12.2.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:22 +0100

kidentitymanagement (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Properly mark libkf5identitymanagement-dev as Multi-Arch: same.
    (Closes: #887442)
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:28:20 +0100

kidentitymanagement (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:55:03 +0100

kidentitymanagement (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:14:02 +0200

kidentitymanagement (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:35:27 +0000

kidentitymanagement (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:09 +0000

kidentitymanagement (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:55 +0000

kidentitymanagement (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:18:26 +0000

kidentitymanagement (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:20 +0000

kidentitymanagement (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:34 +0000

kidentitymanagement (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:46 +0000

kidentitymanagement (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:19:00 +0000

kidentitymanagement (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:27:46 +0000

kidentitymanagement (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:26 +0000

kidentitymanagement (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:51 +0000

kidentitymanagement (16.08.1-1~1.gbp1d9999) UNRELEASED; urgency=medium

  ** SNAPSHOT build @1d99999ea75a6ee4d253e7b46af5a58ccd265d42 **

  * Refresh patches
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 14:11:42 +0200

kidentitymanagement (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:48 +0000

kidentitymanagement (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:53 +0000

## kidentitymanagement 18.08.3.1+rb2

=== debian/changelog ===
kidentitymanagement (18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:49:30 +0800

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5identitymanagement-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## kidentitymanagement 18.12.3

=== debian/changelog ===
kidentitymanagement (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:40 +0100

kidentitymanagement (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:18 +0000

kidentitymanagement (18.04.3-0ubuntu4) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:02:01 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 18.04.3~),
+               libkf5pimtextedit-dev (>= 18.12.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
@@ -30,7 +30,7 @@
 Multi-Arch: same
 Depends: libkf5coreaddons-dev (>= 5.31.0~),
          libkf5identitymanagement5abi1 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 18.04.3~),
+         libkf5pimtextedit-dev (>= 18.12.3~),
          ${misc:Depends},
 Description: library for managing user identities - development files
  This library provides an API for managing user identities.

## kidentitymanagement 19.04.3

=== debian/changelog ===
kidentitymanagement (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:50 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 18.12.3~),
+               libkf5pimtextedit-dev (>= 19.04.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
@@ -30,7 +30,7 @@
 Multi-Arch: same
 Depends: libkf5coreaddons-dev (>= 5.31.0~),
          libkf5identitymanagement5abi1 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 18.12.3~),
+         libkf5pimtextedit-dev (>= 19.04.3~),
          ${misc:Depends},
 Description: library for managing user identities - development files
  This library provides an API for managing user identities.

## kidentitymanagement 19.08.3

=== debian/changelog ===
kidentitymanagement (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:50 +0100

kidentitymanagement (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Remove breaks against kde-l10n packages.
  * Update libkf5identitymanagement-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:29 +0100

kidentitymanagement (18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:49:07 +0100

kidentitymanagement (18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:04:14 +0200

=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5completion-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5pimtextedit-dev (>= 19.08.3~),
               libkf5textwidgets-dev (>= 5.60.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kidentitymanagement
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kidentitymanagement.git

Package: libkf5identitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.60.0~),
         libkf5completion-dev (>= 5.60.0~),
         libkf5config-dev (>= 5.60.0~),
         libkf5coreaddons-dev (>= 5.60.0~),
         libkf5i18n-dev,
         libkf5identitymanagement5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 19.08.3~),
         libkf5widgetsaddons-dev,
         libkf5xmlgui-dev (>= 5.60.0~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends}
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkf5identitymanagement5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5identitymanagement-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel
